.siteBanner {
    height: 100dvh;
    position: relative;
    z-index: 2;
    background-color: var(--secondary-color);
    background-image: url(../images/home/marigold-banner-bg-image.png);
    background-image: -webkit-image-set(
        url(../images/home/marigold-banner-bg-image.webp) 1x,
        url(../images/home/marigold-banner-bg-image.png) 1x
    );
    background-image: image-set(
        url(../images/home/marigold-banner-bg-image.webp) 1x,
        url(../images/home/marigold-banner-bg-image.png) 1x
    );
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center bottom;
}

.siteBanner-Text {
    padding-top: 4.5vh;
    position: relative;
    z-index: 2;
    font-size: 7.3rem;
    color: #fff;
    line-height: 1.5;
    font-weight: 400;
    letter-spacing: 18%;
}

.siteBanner-Text span {
    display: block;
    font-size: 0.23em;
    line-height: 1;
    letter-spacing: 20%;
}

.videoWrapper {
    height: 100dvh;
    background: black;
    z-index: 1;
    overflow: hidden;
}

.home_section_3 {
    background: var(--secondary-color);
}

.home_section_5 {
    background-color: var(--secondary-color);
}

.videoWrapper iframe {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* Simplified, JS will handle scaling */
    pointer-events: none;
    width: 100%;
    height: 100%;
}

.home_section_1 {
    gap: 6rem;
}

.home_section_1 h6 {
    font-size: 1.6rem;
    line-height: 1.71875;
}

.home_section_1  img {
    width: 2.3rem;
    height: 2.3rem;
    object-fit: contain;
}

.home_section_2 {
    width: 100%;
    max-width: 55rem;
    margin: 0 auto;
    padding-top: 4rem;
}

.home_section_2_child {
    width: 15rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    align-items: start;
}

.home_section_2_child img {
    width: 100%;
    aspect-ratio: 294/281;
    object-fit: cover;
    object-position: center;
}

.home_section_2_child_content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.home_section_2_child_content h3 {
    font-size: 1.5rem;
    line-height: 1;
}

.home_section_2_child_content p {
    font-size: 0.9rem;
    line-height: 1.3;
    padding-bottom: 1.5rem;
}

.home_section_2_child_content li {
    font-size: 0.9rem;
    line-height: 1;
    border-bottom: 1px solid var(--primary-color);
    margin-right: 10%;
    padding-block: 0.5em;
}

.home_section_2_child_content li:first-child {
    padding-top: 0;
}

.home_section_2_child_content li:last-child {
    border-bottom: none;
    padding-bottom: 0;
}

.home_section_3 {
    background: var(--secondary-color);
}

.home_section_3_content {
    background: var(--secondary-color);
    width: 100%;
    max-width: 55rem;
    padding-top: 4rem;
}

.home_section_3_content > div {
    overflow: hidden;
}

.home_section_3_content:last-child {
    padding-top: 0;
    margin-top: -8.5rem;
}

.home_section_3_content_child {
    width: 100%;
    max-width: 21.2rem;
    position: relative;
    z-index: 1;
}

.home_section_3_content_child:first-child {
    z-index: 2;
}

.home_section_3_content_child-inner {
    padding-top: 6.6rem;
    position: relative;
}

.home_section_3_content_child-inner::before {
    content: '';
    position: absolute;
    top: 2rem;
    right: 0;
    width: 34rem;
    height: 0;
    border-top: 1px solid var(--primary-color);
}

.align-items-sm-end .home_section_3_content_child-inner::before {
    right: unset;
    left: 0;
}

.home_section_3_content_child-inner h3 {
    color: white;
    font-size: 1.5rem;
    line-height: 1;
    font-weight: 600;
}

.home_section_3_content_child-inner p {
    color: white;
    font-size: 0.9rem;
    line-height: 1.3;
    font-weight: 300;
    margin-bottom: 3rem;
}

.home_section_4_content {
    width: 100%;
    max-width: 62.5rem;
    background: var(--secondary-color);
    min-height: 20rem;
    margin-top: 4rem;
}

.eventSlide {
    position: relative;
    z-index: 1;
    overflow: hidden;
}

.eventSlide img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.eventSlide_overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
    z-index: 2;
    mix-blend-mode: multiply;
}

.eventSlide_content {
    position: relative;
    z-index: 3;
    padding: 4rem;
}

.eventSlide_content h3 {
    color: white;
    font-size: 1.5rem;
    line-height: 1;
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.eventSlide_content h4 {
    color: white;
    font-size: 1.25rem;
    line-height: 1;
    font-weight: 600;
    margin: 0;
}

.eventSlide_content p {
    color: white;
    font-weight: 300;
    font-size: 0.9rem;
    line-height: 1.3;
    margin: 0;
}

.eventSlide_divider {
    width: 1px;
    background: var(--primary-color);
    height: 3.32rem;
}

/* Custom Splide Arrows Styling */
#eventSplide, #roomSplide {
    position: relative;
}

#eventSplide .splide__arrows {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    z-index: 10;
    pointer-events: none;
    display: flex;
    justify-content: space-between;
    padding-inline: 1rem;
}

#roomSplide .splide__arrows {
    position: absolute;
    z-index: 10;
    display: flex;
    justify-content: center;
    gap: 3rem;
    bottom: -4.5rem;
    left: 40vw;
    transform: translateX(-100%);
}

#roomSplide .splide__arrow--prev, #roomSplide .splide__arrow--next {
    position: static;
}

#eventSplide .splide__arrow, #roomSplide .splide__arrow {
    background: rgba(96, 96, 96, 0.2);
    border: none;
    pointer-events: auto;
    width: 2.2rem;
    height: 2.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: all 0.3s ease;
    cursor: pointer;
}

#eventSplide .splide__arrow {
    background: rgba(0, 0, 0, 0.3);
}


#eventSplide .splide__arrow--prev {
    left: 2rem;
}

#eventSplide .splide__arrow--next {
    right: 2rem;
}

#eventSplide .splide__arrow img, #roomSplide .splide__arrow img {
    width: 0.75rem;
    height: 0.75rem;
    object-fit: contain;
    object-position: center;
}

/* Adjust layout for slider container */
#eventSplide .splide__track {
    overflow: hidden;
}

.home_section_5 {
    background-color: var(--secondary-color);
    background-image: url(../images/home/marigold-home-goarround.png);
    background-image: -webkit-image-set(
        url(../images/home/marigold-home-goarround.webp) 1x,
        url(../images/home/marigold-home-goarround.png) 1x
    );
    background-image: image-set(
        url(../images/home/marigold-home-goarround.webp) 1x,
        url(../images/home/marigold-home-goarround.png) 1x
    );
    background-repeat: no-repeat;
    background-size: cover;
    padding-block: 4rem;
}

.home_section_5_content {
    width: 100%;
    max-width: 55rem;
    margin: 0 auto;
}

.home_section_5_content_text,
.home_section_5_content_slide {
    width: 100%;
    max-width: 20rem;
}

.home_section_5_content_text h2 {
    font-size: 1.5rem;
    line-height: 1.3;
    font-weight: 400;
    margin-bottom: 0.75rem;
}

.home_section_5_content_text p {
    font-size: 0.9rem;
    margin: 0;
}

#nearBySplide {
    position: relative;
}

#nearBySplide .splide__track {
    mask-image: linear-gradient(to right, transparent, black 30%, black 70%, transparent);
    -webkit-mask-image: linear-gradient(to right, transparent, black 30%, black 70%, transparent);
}

#nearBySplide .splide__arrows {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    z-index: 10;
    pointer-events: none;
    display: flex;
    justify-content: space-between;
}

#nearBySplide .splide__arrow {
    background: rgba(96, 96, 96, 0.3);
    border: none;
    pointer-events: auto;
    width: 2.2rem;
    height: 2.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: all 0.3s ease;
    cursor: pointer;
    padding: 0;
}


#nearBySplide .splide__arrow--prev {
    left: -1rem;
}

#nearBySplide .splide__arrow--next {
    right: -1rem;
}

#nearBySplide .splide__arrow img {
    width: 0.75rem;
    height: 0.75rem;
    object-fit: contain;
}

.nearBy_slide {
    display: flex;
    align-items: center;
}

.nearBy_slide h3 {
    color: var(--primary-color);
    font-size: 1.6rem;
    line-height: 1.2;
    font-weight: 400;
    margin-bottom: 0;
}

.nearBy_slide_divider {
    width: 10rem;
    height: 1px;
    background: white;
    margin: 0.75rem 0;
}

.nearBy_slide h5 {
    font-size: 1.5rem;
    font-weight: 400;
    margin: 0;
    line-height: 1;
    color: white;
}

.nearBy_slide img {
    width: 1.6rem;
}

.home_section_6 {
    margin-top: 4rem;
    padding-bottom: 6rem;
    position: relative;
    z-index: 1;
}

.home_section_6::after {
    position: absolute;
    content: '';
    right: 0;
    top: 0;
    left: calc(40vw - 14rem);
    height: 100%;
    background: #FFF6E5;
    z-index: -1;
}

.homeRoomSlide_content {
    display: flex;
    gap: 7.5rem;
}

.homeRoomSlide_content_image {
    width: 30%;
    flex-grow: 1;
    position: relative;
    z-index: 1;
    cursor: pointer;
}

.homeRoomSlide_content_image_right {
    width: 10%;
}

.homeRoomSlide_content_image img {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    object-fit: cover;
    object-position: left center;
}

.homeRoomSlide_content_text {
    padding-top: 5rem;
    gap: 3rem;
    width: 100%;
    max-width: 15rem;
    justify-content: end;
}

.homeRoomSlide_content_text h3 {
    font-size: 1.25rem;
    font-weight: 600;
}

.homeRoomSlide_content_text p {
    font-size: 0.9rem;
    line-height: 1.3;
    font-weight: 300;
}

.homeRoomSlide_content_text ul {
    width: 90%;
}

.homeRoomSlide_content_text li {
    font-size: 0.9rem;
    line-height: 1.3;
    font-weight: 300;
    border-top: 1px solid var(--primary-color);
    padding-block: 0.4rem;
    letter-spacing: 14%;
    padding-right: 15%;
}

.homeRoomSlide_content_text li:last-child {
    border-bottom: 1px solid var(--primary-color);
}

.home_section_wrapper {
    background: white;
    position: relative;
    z-index: 2;
}

.videoSection {
    gap: 8rem;
}

.videoSectionContent {
    width: 18.9rem;
}

.videoSectionContent h6 {
    margin: 0;
    font-size: 2rem;
    line-height: 1.2;
    font-weight: 400;
}

.videoSectionVideo {
    width: 10%;
    flex-grow: 1;
    background: var(--secondary-color);
    height: 33.5rem;
    position: relative;
    z-index: 1;
}

.videoSectionVideo_wrapper {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background: black;
    overflow: hidden;
}

.home-vimeo-player {
    width: 100%;
    height: 100%;
    position: relative;
    pointer-events: none;
}

.home-vimeo-player iframe {
    pointer-events: none;
}

.vimeo-thumbnail {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    background-size: cover;
    background-position: center;
    z-index: 5;
    transition: opacity 0.8s ease, visibility 0.8s;
}

.vimeo-thumbnail.is-hidden {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}

.full-screen-btn {
    position: absolute;
    z-index: 100;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fffc;
    transition: all 0.3s ease;
    background: transparent;
    cursor: pointer;
}

.full-screen-btn img {
    width: 1rem;
    height: 1rem;
}

#homeVideoFullscreen {
    bottom: 1rem;
    right: 1rem;
}

.room-fullscreen-btn {
    bottom: 1rem;
    right: 1rem;
    width: 1rem;
    height: 1rem;
    pointer-events: none;
}

.homeRoomSlide_content_image > a {
    display: block;
    width: 100%;
    height: 100%;
    position: relative;
}

.room-fullscreen-btn img {
    width: 1rem !important;
    height: 1rem !important;
}




@media(max-width: 1599px) {
    .siteBanner-Image {
        height: 80%;
    }
    .siteBanner-Text {
        font-size: 6.8rem;
    }
    .videoSectionVideo {
        height: 30rem;
    }
}

@media(max-width: 1399px) {
    .siteBanner-Image {
        height: 82%;
    }
    .siteBanner-Text {
        font-size: 6.25rem;
    }
    .videoSectionVideo {
        height: 27rem;
    }
    .videoSection {
        gap: 6rem;
    }
    .videoSectionContent {
        width: 15rem;
    }
    .videoSectionContent h6 {
        font-size: 1.5rem;
    }
}

@media(max-width: 1299px) {
    .homeRoomSlide_content {
        gap: 4rem;
    }
}

@media(max-width: 767px) {
    .home_section_1 h6 {
        font-size: 1.2rem;
        line-height: 1.38;
    }
    .siteBanner-Text {
        font-size: 4.6rem;
    }
    .home_section_3_content_child img {
        min-height: 28rem;
        object-fit: cover;
    }
    .home_section_3_content:last-child {
        margin-top: -6rem;
    }
    .home_section_5_content_slide {
        max-width: 16rem;
    }
}

@media(max-width: 575px) {
    .siteBanner {
        background-image: url(../images/home/marigold-banner-bg-mob-image.png);
        background-image: -webkit-image-set(
            url(../images/home/marigold-banner-bg-mob-image.webp) 1x,
            url(../images/home/marigold-banner-bg-mob-image.png) 1x
        );
        background-image: image-set(
            url(../images/home/marigold-banner-bg-mob-image.webp) 1x,
            url(../images/home/marigold-banner-bg-mob-image.png) 1x
        );
    }
    .home_section_2_child {
        width: 100%;
        padding-left: calc(100vw - 15rem);
        position: relative;
    }
    .home_section_2_child img {
        position: absolute;
        left: -1.85rem;
        top: 0;
        width: calc(100vw - 14.5rem);
        height: 100%;
        aspect-ratio: unset;
        object-fit: cover;
        object-position: center;
    }
    .home_section_2_child_content {
        width: 12rem;
    }
    .siteBanner-Text {
        font-size: 3.2rem;
    }
    .siteBanner-Text span {
        font-size: 0.3em;
    }
    .home_section_1 {
        gap: 5rem;
        padding-top: 5rem;
    }
    .homeRoomSlide_content {
        gap: 7.5rem;
        padding-right: 1.5rem;
    }
    .homeRoomSlide_content_text {
        padding-top: 4rem;
        width: 11rem;
        max-width: 100vw;
    }
    .homeRoomSlide_content_text li {
        padding-right: 0;
        font-size: 0.8rem;
        padding-block: 0.5rem;
    }
    .homeRoomSlide_content {
        gap: 2.2rem;
    }
    .homeRoomSlide_content_text ul,
    .homeRoomSlide_content_text span {
        max-width: 100%;
        width: 19rem;
    }
    .homeRoomSlide_content {
        flex-direction: column;
        padding-right: 0;
    }
    .homeRoomSlide_content_image {
        width: 100%;
        height: auto;
        aspect-ratio: 16/9;
        min-height: 15rem;
        object-fit: cover;
        flex-grow: 0;
    }
    .homeRoomSlide_content_text {
        padding-top: 0rem;
        padding-inline: 1.5rem;
        width: 100%;
        gap: 1.5rem;
        text-align: center;
        flex-direction: column !important;
        align-items: center !important;
    }
    #roomSplide .splide__arrows {
        gap: 3rem;
        left: 50%;
        transform: translateX(-50%);
        bottom: -5rem;
    }
    .homeRoomSlide_content_text p {
        padding-right: 0%;
    }
    .home_section_6 {
        padding-bottom: 8rem;
    }
    .home_section_6::after {
        left: 0;
    }
    .home_section_7 .container {
        padding: 0;
    }
    .home_section_10 {
        padding-block: 4rem 0;
    }
    .videoSection {
        gap: 4rem;
        padding: 0;
    }
    .videoSectionContent {
        width: 20rem;
    }
    .videoSectionContent h6 {
        font-size: 1.333rem;
        text-align: center;
    }
    .videoSectionVideo {
        width: 100%;
    }
    .videoSectionVideo {
        height: auto;
        aspect-ratio: 16/9;
    }
    .home_section_3_content:last-child {
        margin-top: 3rem;
    }
    .home_section_3_content_child-inner {
        padding-block: 0rem 3rem;
    }
    .home_section_3_content_child-inner::before {
        bottom: 0;
        top: auto;
        width: 100%;
    }
    .home_section_3_content_child-inner p {
        margin-bottom: 1.5rem;
    }
    .home_section_3_content:last-child .home_section_3_content_child-inner {
        padding-block: 0rem;
    }
    .home_section_3_content:last-child .home_section_3_content_child-inner::before {
        display: none;
    }
    .home_section_3_content_child img {
        min-height: 1rem;
        aspect-ratio: 320/416;
    }
    .home_section_7 {
        padding-bottom: 0;
    }
    .home_section_5 {
        background-image: url(../images/home/marigold-home-mob-goarround.png?v2);
        background-image: -webkit-image-set(
            url(../images/home/marigold-home-mob-goarround.webp?v2) 1x,
            url(../images/home/marigold-home-mob-goarround.png?v2) 1x
        );
        background-image: image-set(
            url(../images/home/marigold-home-mob-goarround.webp?v2) 1x,
            url(../images/home/marigold-home-mob-goarround.png?v2) 1x
        );
    }
     .home_section_5_content_slide {
    max-width: 18rem;
  }
  .eventSlide_content {
    height: 33.33rem;
    padding-block: 6rem;
  } 
  .eventSlide_content h4 {
    margin-bottom: 10rem;
  }
  .eventSlide_divider {
    width: 3.33rem;
    height: 1px;
  }
}

.room_slider_item-data {
    display: flex;
}

.room_slider_item-image-primary {
    width: 40%;
    background: #ff0
}

.room_slider_item-image-secondary {
    width: 15%;
    background: #ff0
}

.room_slider_item-image-content {
    width: 45%;
    padding-left: 5rem;
}